• Yaourt coredumps, gives "target not found" error on everything


    I’ve just tried installing exaile on my laptop using yaourt, and I’m sure it can be done because I did it on my desktop (plus it’s listed in the packages, but it seems to bug out. I tried downloading some more stuff from the AUR repositories just to check, and indeed it does it on everything.


    [[email protected] ~]$ yaourt -S exaile
    /usr/lib/yaourt/util.sh: line 190: 30451 Illegal instruction (core dumped) package-query “${PKGQUERY_C_ARG[@]}” "[email protected]"
    error: target not found: exaile


    Yaourt did work on the laptop some time ago, as I used it to install Chrome. I’m quite sure I haven’t tinkered with the repositories since then (or ever), so I don’t know what could have gone wrong. My only guess is that something screwed it up during a regular update.

    Any ideas on what’s wrong and how to get it running again?

  • It s a known and well-discussed issue for almost a week now. AUR is broken at the moment, though there is a fix if you don t want to wait…
    https://forum.antergos.com/topic/4062/after-updating-yaourt-is-not-working/30

    1.Antergos Linux KDE plasma / Gnome 2.Ubuntu 17.10 64bit Unity
    Intel Core2 Duo CPU P8400 2.26GHz‖ RAM 3908 MiB ‖ Dell Inc. 0F328M - Dell Inc. Latitude E6500
    Intel Mobile 4 Series Chipset Integrated Graphics [8086:2a42] {i915

  • Ah, ok, Sorry for the nth repost, I did Google but found a lot of discussions about completely different issues.

  • this issue is still not fixed – 6 days now.
    the maintainers of package-query have made updates which don’t change the aforementioned (top of this thread) error message.

    package-query is called from /usr/lib/yaourt/util.sh

    The args passed to package-query are the issue. So someone needs to update util.sh to conform to changes made in package-query – DTS

Posts 4Views 866
Log in to reply